Domain Technologies

‌‌
Using this endpoint you will get a list of technologies used in a particular domain.

checked POST
Pricing

Your account will be charged for each request.
The cost can be calculated on the Pricing page.

All POST data should be sent in the JSON format (UTF-8 encoding). The setting of tasks is done using the POST method. When setting a task, you should send all task parameters in the task array of the generic POST array. You can send up to 2000 API calls per minute, each Live API call can contain only one task.
 
Description of the fields for setting a task:

Field nameTypeDescription
targetstring

target domain
required field
domain name of the website to analyze
Note: results will be returned for the specified domain only


As a response of the API server, you will receive JSON-encoded data containing a tasks array with the information specific to the set tasks.

Description of the fields in the results array:

Field nameTypeDescription
versionstring

the current version of the API

status_codeinteger

general status code
you can find the full list of the response codes here
Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_messagestring

general informational message
you can find the full list of general informational messages here

timestring

execution time, seconds

costfloat

total tasks cost, USD

tasks_countinteger

the number of tasks in the tasks array

tasks_errorinteger

the number of tasks in the tasks array returned with an error

tasksarray

array of tasks

    idstring

task identifier
unique task identifier in our system in the UUID format

    status_codeinteger

status code of the task
generated by DataForSEO; can be within the following range: 10000-60000
you can find the full list of the response codes here

    status_messagestring

informational message of the task
you can find the full list of general informational messages here

    timestring

execution time, seconds

    costfloat

cost of the task, USD

    result_countinteger

number of elements in the result array

    patharray

URL path

    dataobject

contains the same parameters that you specified in the POST request

    resultarray

array of results

        typestring

type of the returned data item = 'domain_technology_item'

        domainstring

specified domain name

        titlestring

domain meta title

        descriptionstring

domain meta description

        meta_keywordsarray

domain meta keywords

        domain_rankstring

backlink rank of the target domain
learn more about the metric and how it is calculated in this help center article

        last_visitedstring

most recent date when our crawler visited the domain
in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”
example:
2022-10-10 12:57:46 +00:00

        country_iso_codestring

domain ISO code
ISO code of the country that the target domain is determined to belong to

        language_codestring

domain language
code of the language that the target domain is determined to be associated with

        content_language_codestring

content language
code of the language that content on the target domain is written in

        phone_numbersarray

phone numbers of the target
contact phone numbers indicated on the target website

        emailsarray

emails of the target
emails indicated on the target website

        social_graph_urlsarray

social media links and handles
social media URLs detected in the social graphs of the target website

        technologiesobject

technologies used by target domain
contains objects with the names of technologies used on the website
see the full list of available technologies structured by groups and categories


‌‌

Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
curl --location --request POST "https://api.dataforseo.com/v3/domain_analytics/technologies/domain_technologies/live" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json" 
--data-raw '[
    {
        "target": "dataforseo.com"
    }
]'
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
$client = new RestClient($api_url, null, 'login', 'password');

$post_array = array();
// You can set only one task at a time
$post_array[] = array(
	"target" => "dataforseo.com"
);
try {
	// POST /v3/domain_analytics/technologies/domain_technologies/live
	$result = $client->post('/v3/domain_analytics/technologies/domain_technologies/live', $post_array);
	print_r($result);
	// do something with post result
} catch (RestClientException $e) {
	echo "n";
	print "HTTP code: {$e->getHttpCode()}n";
	print "Error code: {$e->getCode()}n";
	print "Message: {$e->getMessage()}n";
	print  $e->getTraceAsString();
	echo "n";
}
$client = null;
?>
const post_array = [];
post_array.push({
	"target": "dataforseo.com"
});
const axios = require('axios');
axios({
	method: 'post',
	url: 'https://api.dataforseo.com/v3/domain_analytics/technologies/domain_technologies/live',
	auth: {
		username: 'login',
		password: 'password'
	},
	data: post_array,
	headers: {
		'content-type': 'application/json'
	}
}).then(function(response) {
	var result = response['data']['tasks'];
	// Result data
	console.log(result);
}).catch(function(error) {
	console.log(error);
});
from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
post_data = dict()
# You can set only one task at a time
post_data[len(post_data)] = dict(
    target="dataforseo.com"
)
# POST /v3/domain_analytics/technologies/domain_technologies/live
response = client.post("/v3/domain_analytics/technologies/domain_technologies/live", post_data)
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
    print(response)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task domain_analytics_technologies_domain_technologies_live()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            var postData = new List<object>();
            // You can set only one task at a time
            postData.Add(new
            {
                target = "dataforseo.com"
            });
            // POST /v3/domain_analytics/technologies/domain_technologies/live
            var taskPostResponse = await httpClient.PostAsync("/v3/domain_analytics/technologies/domain_technologies/live", new StringContent(JsonConvert.SerializeObject(postData)));
            var result = JsonConvert.DeserializeObject<dynamic>(await taskPostResponse.Content.ReadAsStringAsync());
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (result.status_code == 20000)
            {
                // do something with result
                Console.WriteLine(result);
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}

The above command returns JSON structured like this:

{
  "version": "0.1.20220819",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "1.2276 sec.",
  "cost": 0.01,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "10171413-1535-0483-0000-cb6e2685e725",
      "status_code": 20000,
      "status_message": "Ok.",
      "time": "1.1653 sec.",
      "cost": 0.01,
      "result_count": 1,
      "path": [
        "v3",
        "domain_analytics",
        "technologies",
        "domain_technologies",
        "live"
      ],
      "data": {
        "api": "domain_analytics",
        "function": "domain_technologies",
        "se": "technologies",
        "target": "dataforseo.com"
      },
      "result": [
        {
          "type": "domain_technology_item",
          "domain": "dataforseo.com",
          "title": "Powerful API Stack For Data-Driven SEO Tools – DataForSEO",
          "description": "We provide comprehensive data solutions for SEO and SEM analytics via API. DataForSEO is a trusted partner for 750+ SEO software companies and agencies.",
          "meta_keywords": null,
          "domain_rank": 455,
          "last_visited": "2022-09-23 17:19:25 +00:00",
          "country_iso_code": "EE",
          "language_code": "en",
          "content_language_code": "en",
          "phone_numbers": [
            "+3726027642"
          ],
          "emails": [
            "info@dataforseo.com"
          ],
          "social_graph_urls": [
            "https://dataforseo.com"
          ],
          "technologies": {
            "web_development": {
              "javascript_libraries": [
                "Lightbox",
                "Underscore.js",
                "jQuery",
                "jQuery Migrate",
                "prettyPhoto"
              ],
              "programming_languages": [
                "PHP"
              ]
            },
            "add_ons": {
              "wordpress_plugins": [
                "EWWW Image Optimizer",
                "Responsive Lightbox & Gallery",
                "Slider Revolution",
                "Contact Form 7"
              ]
            },
            "servers": {
              "performance": [
                "EWWW Image Optimizer"
              ],
              "cdn": [
                "Cloudflare"
              ],
              "databases": [
                "MySQL"
              ]
            },
            "content": {
              "photo_galleries": [
                "Responsive Lightbox & Gallery"
              ],
              "cms": [
                "WordPress"
              ],
              "blogs": [
                "WordPress"
              ]
            },
            "media": {
              "photo_galleries": [
                "Responsive Lightbox & Gallery"
              ]
            },
            "location": {
              "maps": [
                "Google Maps"
              ]
            }
          }
        }
      ]
    }
  ]
}